Subject: RE: ips Administrative Matters and framework document

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 2 Oct 2000 12:00:22 +0200

Comments inline

> ----------
> From: 	Murali Rajagopal[SMTP:[email-masked]]
> Sent: 	Saturday, September 30, 2000 11:09 PM
> To: 	[email-masked]
> Subject: 	Fw: ips Administrative Matters and framework document
> 
> Dear IPFC WG Members:
> 
> The FC-IP standardization work is now officially under the charter of the
> IPS WG.
> 
> The IPFC WG will continue to operate until its chartered work is complete.
> We have two drafts - one framework and the other a Management MIB in the
> process of completion within the IPFC WG.
> 
> The frame work doc. is now sent out for a Last Call comments. It is
> expected
> that the Management MIB will be completed by the San Diego Meeting.
> 
Well, if I remember well (but I would have to dig into my email archives,
and
some of them I no longer have access to since I switched employers), then
I have send serious comments about this MIB to the author.

For one thing, the MIB is still (rev 4 of the doc) in SMIv1 format, and IETF
stds track MIBs have to be in SMIv2 format for MANY years already.

You are also using DisplayString (we have switched to UTF8 based strings
like SnmpAdminString), you are using IpAddress (which is IPv4 specific and
we want support for IPv6 these days) etc etc etc.

A few good places to look at and check:
    http://www.ietf.org/ID-nits.html
    http://www.ops.ietf.org/

If I get a positive email that when I dig up my earlier comments, that
the author/editor will study it and act on it, then I will try to find it.

Bert
> Regards,
> 
> Murali Rajagopal
> 
> IPFC WG Chair
> 
> LightSand Communications
> [email-masked]
> 
> ----- Original Message -----
> From: <[email-masked]>
> To: <[email-masked]>
> Sent: Friday, September 29, 2000 3:58 PM
> Subject: ips Administrative Matters and framework document
> 
> 
> > The ips WG charter is now posted on the IETF web site at:
> >
> > http://www.ietf.org/html.charters/ips-charter.html
> >
> > Everyone should read it, as it contains a number of
> > important statements of goals, requirements, and restrictions,
> > in addition to a current set of expected milestones.
> >
> > There are no drafts currently linked to the charter.  The
> > current plan is to have new versions of the iSCSI and FC over
> > IP drafts submitted as WG documents (draft-ietf-ips-...) and
> > link them at that point.  Things have changed sufficiently
> > since the last versions, that linking them to the web
> > copy of the charter could seriously mislead people who
> > aren't following the mailing list.  This should happen
> > by the end of October, and hopefully a lot earlier (yes,
> > this is a public hint to the document authors :-) ).
> >
> > That takes care of the first milestone on the charter.
> > The second milestone is to get an initial version of
> > the framework document submitted as an Internet-Draft.
> > The charter says:
> >
> >   "The WG will produce a framework document that provides
> >    an overview of the environments in which its encapsulated
> >    protocols and related protocols are expected to operate."
> >
> > The framework document is the place for discussions of how, why
> > and where iSCSI and FC-over-IP might be used and what the various
> > other components are that have to be present to make them usable
> > aside from implementations of these protocols.  This also includes
> > complementarity of these protocols and discussion of overlap/
> > situations in which both might be applicable.
> >
> > The initial version of the framework document will be produced
> > by an off-line author team for review and comment by the WG.
> > I'm looking for a few good authors for the document - expertise
> > on networking, SCSI and Fibre Channel will be needed in the
> > author team.  Volunteers should have the time available to produce
> > significant text in the next couple of months, and there's
> > a need for one person to put in the time to coordinate this
> > effort and assemble the text as document editor.  The rewards
> > are fleeting fame as a co-author of the document; I would
> > guess that it'll go through several serious revisions over the
> > next 6 months or so before it can be submitted for publication
> > as an informational RFC.  If you're interested (and I hope
> > a number of folks out there are), please send me email directly.
> >
> > Thanks,
> > --David
> >
> > ---------------------------------------------------
> > David L. Black, Senior Technologist
> > EMC Corporation, 42 South St., Hopkinton, MA  01748
> > +1 (508) 435-1000 x75140     FAX: +1 (508) 497-8500
> > [email-masked]       Mobile: +1 (978) 394-7754
> > ---------------------------------------------------
> >
> >
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 2 Oct 2000 18:04:29 +0200

>>>>> Wijnen, Bert (Bert) writes:

Bert> Well, if I remember well (but I would have to dig into my email
Bert> archives, and some of them I no longer have access to since I
Bert> switched employers), then I have send serious comments about
Bert> this MIB to the author.

Bert, you asked me a while ago to assist the IPFC folks to make their
MIBs "IETF compliant". I actually offered help to fix this one at the
46th IETF meeting in Washington DC. I was later told that they lack a
person who is able to make the SMIv1->SMIv2 conversion. So I decided
to help them and I did the conversion myself.

So I created an SMIv2 version of the MIB with lots of technical
questions inside which I mailed to S. Blumenau on April 12, 2000 and
two days later to the working group mailing list. On June 1st,
S. Blumenau submitted <draft-ietf-ipfc-fcmgmt-int-mib-04.txt> which
does not include any of the SMIv2 changes I made. In fact, I have
never heard anything on the SMIv2 version since I submitted it.

Looking back, I must tell you that I feel like having wasted my time
to help the IPFC folks to complete their work. Perhaps there is not
enough interest to get this MIB on the IETF standards track...

/js

-- 
Juergen Schoenwaelder      Technical University Braunschweig
<[email-masked]>  Dept. Operating Systems & Computer Networks
Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>

---

From: "Murali Rajagopal" <[email-masked]>
Date: Wed, 11 Oct 2000 17:19:18 -0700

Juergen:

Your work for the MIB is not wasted. The MIB work is unfortunately moving
very slowly.
EMC has stated that they would finish the work by Dec. meeting.

We all from the IPFC WG are very thankful for your efforts.

Regards,

Murali Rajagopal
IPFC WG Chair